List notes
curl --request GET \
--url https://api.attio.com/v2/notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"note_id": "ff3f3bd4-40f4-4f80-8187-cd02385af424"
},
"parent_object": "people",
"parent_record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d",
"title": "Initial Prospecting Call Summary",
"meeting_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"content_plaintext": "Introduction\nDate and time of the call\nParticipants\nPurpose of the call\nCustomer Background\nCompany overview (industry, size, location)\nKey business challenges\nCurrent software solutions (if any) and pain points",
"content_markdown": "# Introduction\nDate and time of the call\nParticipants\nPurpose of the call\n\n## Customer Background\n- Company overview (industry, size, location)\n- Key business challenges\n- Current software solutions (if any) and pain points",
"tags": [
{
"type": "workspace-member",
"workspace_member_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
{
"type": "record",
"object": "people",
"record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
}
],
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"created_at": "2022-11-21T13:22:49.061281000Z"
}
]
}{
"status_code": 404,
"type": "invalid_request_error",
"code": "not_found",
"message": "Object with slug/ID \"people\" not found."
}Notes
List notes
List notes for all records or for a specific record.
Required scopes: note:read, object_configuration:read, record_permission:read.
GET
/
v2
/
notes
List notes
Authorizations
This API uses OAuth 2.0 with the authorization code grant flow.
Query Parameters
The maximum number of results to return. The default is 10 and the maximum is 50. See the full guide to pagination here.
Example:
10
The number of results to skip over before returning. The default is 0. See the full guide to pagination here.
Example:
5
The slug or ID of the parent object the notes belong to.
Example:
"people"
The ID of the parent record the notes belong to.
Example:
"891dcbfc-9141-415d-9b2a-2238a6cc012d"
Response
Success
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I